Subject: Re: [RFC] export irq_set/get_affinity() for multiqueue network drivers

From: Rick Jones <[email-masked]>
Date: Fri, 29 Aug 2008 10:14:22 -0700

> Also I suspect handling SMT explicitely is a good idea. e.g. I would
> always set the affinity to all thread siblings in a core, not 
> just a single one, because context switch is very cheap between them.

That is true, but don't they also "compete" for pipeline resources?

rick jones